Subject: Re: Recall email protocol

From: Jacob Palme <[email-masked]>
Date: Sat, 28 May 2005 18:48:25 +0200

At 23:02 -0700 2005-02-27, William McDonald wrote:
>I was interested in finding out if there is a standard 
>that addresses 'recalling of e-mail message'.  I know that 
>Outlook does this, but I didn't know if it was an email 
>standard.  I didn't find anything initially in my RFC 
>search.

Usenet news has commands to delete already sent message,
and also "Supersedes" which replaces an incorrect message
with a correct version (and deletes the old version).

I was working, some years ago, on a proposal for a new
e-mail header "Replaces" which would work similarly to
"In-Reply-To", i.e. not delete the old message. But the
interest was not very high among implementors, so I gave up.

I still think it is a good idea, it happens now and then
that I need to revise my own messages after having sent
them, and I know that many users of e-mail want it. But
implementors are, understandably, wary of the security
risks. The "Delete" command in Usenet News is accepted for
use to delete spam, but when the Scientology Church started
using this command to stop publishing of Usenet News
articles it did not like, the risks with this kind of
command was obvious, until we get some accepted
authentication method for e-mail senders.

The X.400 e-mail standard developed in the 1980s also
had an "Obsoletes" command which was meant to work like
"Replaces". I intentionally chose a new name, "Replaces"
in the proposal I wrote, to avoid interpreting it like
"Supersedes" in news.

-- 
Professor Jacob Palme <[email-masked]> (Stockholm University and KTH)
for more info see URL: http://www.dsv.su.se/jpalme/